#include <SoftwareSerial.h>
#include "words.h"
#define Tx 2
#define Rx 3

#define BUFFER_SIZE 20
SoftwareSerial bluetooth(Rx, Tx);
char data[BUFFER_SIZE];
int pos = 0;

void bluetooth_listen()
{
  while (!bluetooth.isListening());
}

void bluetooth_wait()
{
  while (!bluetooth.available());
}

void set_bluetooth_connection()
{
  bluetooth.begin(9600);
  memset(data, '\0', BUFFER_SIZE);
}

void bluetooth_send(char* data)
{
  bluetooth.write(data);
}

int bluetooth_recv()
{
  do {
      if (bluetooth.available()) {
        data[pos] = bluetooth.read();

        if (data[pos] == '\n') {
          if (!strncmp(data, "yes", 3)) {
            memset(data, '\0', BUFFER_SIZE);
            pos = 0;
            bluetooth.write("YES\n");
            return YES;
          }

          if (!strncmp(data, "you", 3)) {
            memset(data, '\0', BUFFER_SIZE);
            pos = 0;
            bluetooth.write("YOU\n");
            return YOU;
          }

          if (!strncmp(data, "hello", 5)) {
            memset(data, '\0', BUFFER_SIZE);
            pos = 0;
            bluetooth.write("HELLO\n");
            return HELLO;
          }

          if (!strncmp(data, "welcome", 7)) {
            memset(data, '\0', BUFFER_SIZE);
            pos = 0;
            bluetooth.write("WELCOME\n");
            return WELCOME;
          }

          if (!strncmp(data, "ty", 2)) {
            memset(data, '\0', BUFFER_SIZE);
            pos = 0;
            bluetooth.write("THANK YOU\n");
            return THANK_YOU;
          }
  
          if (!strncmp(data, "ily", 3)) {
            memset(data, '\0', BUFFER_SIZE);
            pos = 0;
            bluetooth.write("I LOVE YOU\n");
            return ILY;
          }

          if (!strncmp(data, "start", 5)) {
            memset(data, '\0', BUFFER_SIZE);
            pos = 0;
            return START;
          }

          if (!strncmp(data, "stop", 4)) {
            memset(data, '\0', BUFFER_SIZE);
            pos = 0;
            return END;
          }
        }
      pos++;
    }
  } while (1);
}