// timer 1 CTC => f = 1kHz => interrupts every 1ms
void timer1_setup()
{
  TCCR1A = 0;
  TCCR1B = 0;
  TCNT1 = 0;

  OCR1A = 16000;            // compare value
  TCCR1B |= (1 << CS10);    // prescaler 1
  TCCR1B |= (1 << WGM12);   // CTC mode
  TIMSK1 |= (1 << OCIE1A);  // enable timer compare interrupt
}

// timer 0 CTC => f = 1kHz => interrupts every 1ms
void timer0_setup()
{
  TCCR0A = 0;
  TCCR0B = 0;
  TCNT0 = 0;

  OCR0A = 250;                            // compare value
  TCCR0B |= (1 << CS01) | (1 << CS00);    // prescaler 64
  TCCR0A |= (1 << WGM01);                 // CTC mode
  TIMSK0 |= (1 << OCIE0A);                // enable timer compare interrupt
}
